Dragonframe 4 uses the SDL2 library to support gamepads. You must install SDL2 in order to get this support.

For Ubuntu/Debian systems:
sudo apt-get install libsdl2-2.0

For Fedora systems:
sudo yum install SDL2

Then, unplug your gamepad, plug it back in, and start Dragonframe again.